<?php

/**
 * @file tripadvisor-integration.tpl.php
 * Default template implementation to display the TripAdvisor field.
 */
?>

<div class="tripadvisor-field">
  <img class="img-responsive ta-logo" src="/<?php print $tripadvisor_data['#tripadvisor_logo'] ?>">
  <p class="ta-description"><?php print t('Ratings and Reviews Powered by TripAdvisor'); ?></p>
  <p><?php print $tripadvisor_data['#data']['name']; ?></p>
  <?php if (isset($tripadvisor_data['#data']['awards'])): ?>
    <ul class="ta-awards-list">
      <?php foreach ($tripadvisor_data['#data']['awards'] as $award): ?>
        <li>
          <img src="<?php print $award['images']['small']; ?>">
          <p class="ta-award-name"><?php print $award['display_name']; ?></p>
        </li>
      <?php endforeach; ?>
    </ul>
  <?php endif; ?>

  <img class="img-responsive ta-reviews-icon" src="<?php print $tripadvisor_data['#data']['rating_image_url'] ?>">
  <a class="ta-reviews-text" href="<?php print $tripadvisor_data['#data']['web_url']; ?>" target="_blank"><?php print $tripadvisor_data['#data']['num_reviews']; ?> <?php print t('Reviews'); ?></a>
  <a class="ta-write-reviews-text" href="<?php print $tripadvisor_data['#data']['write_review']; ?>" target="_blank"><?php print t('Write a review'); ?></a>
  <p class="ta-view-on-ta-text"><?php print t('View on'); ?> <a href="<?php print $tripadvisor_data['#data']['web_url']; ?>"><?php print t('TripAdvisor'); ?></a></p>
</div>
